Subject: Re: Proposal
From: Dominic Ramsey <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jul 94 12:39:41 GMT

>   Given the likelihood (or is it certain now?) of the AMOS source code
> eventually going into the public domain, I think a team of programmers
> should be created which would work on improving AMOS, fixing the bugs,
> etc.  The team would discuss problems and send code through E-mail, and
> release updates occasionally.  This way work on AMOS could be
> coordinated and accomplished quickly, and there would be a single
> official version, rather than people going and making their own changes

If you wanted it to be `official', you'd have to talk to Europress first.
If they release it as PD, then ANYONE will be able to do whatever they
want with it.

> to the code and having lots of different versions (which would most
> likely be incompatible with each other).
> 
>   If you would be interested in joining such a team, let me know.  You
> will need experience in assembler, since that's what AMOS is written in.

I don't see any reason why assembler experience should be needed. There are
a lot of very experienced AMOS programmers who know nothing about assembler.

> The AMOS code itself probably won't be out for a while, but the team
> could still bounce around ideas, compile a bug list, etc., and be able
> to start working immediately when the code is finally released.
> 
>   --Andy Church

Something I'd like to see would be a change to the extensions system, so
any number of extensions could be loaded at once, and not have to have their
own extension number. I think this will be a big problem if/when the source
code becomes available, with everyone producing their own extensions.

---
Dominic Ramsey
[email-masked]